/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <ox/std/memory.hpp>

#include "sceneeditor-imgui.hpp"
#include "module.hpp"

namespace nostalgia::scene {

ox::Vector<studio::EditorMaker> StudioModule::editors(core::Context *ctx) noexcept {
	return {
		{
			{"nscn"},
			[ctx](ox::CRStringView path) -> ox::Result<studio::BaseEditor*> {
				return ox::makeCatch<SceneEditorImGui>(ctx, path);
			}
		},
	};
}

ox::Vector<ox::UPtr<studio::ItemMaker>> StudioModule::itemMakers(core::Context*) noexcept {
	ox::Vector<ox::UPtr<studio::ItemMaker>> out;
	return out;
}

}
