/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <nostalgia/core/gfx.hpp>

#include "sceneeditorview.hpp"

namespace nostalgia::scene {

SceneEditorView::SceneEditorView(core::Context *ctx, const SceneStatic &sceneStatic) noexcept:
	m_ctx(ctx),
	m_sceneStatic(sceneStatic),
	m_scene(m_sceneStatic) {
}

ox::Error SceneEditorView::setupScene() noexcept {
	return m_scene.setupDisplay(m_ctx);
}

void SceneEditorView::draw(int width, int height) noexcept {
	if (width != m_frameBuffer.width || height != m_frameBuffer.height) {
		glutils::resizeInitFrameBuffer(&m_frameBuffer, width, height);
	}
	glutils::bind(m_frameBuffer);
	core::gl::setRenderSize(m_ctx, width, height);
	core::gl::drawMainView(m_ctx);
	glBindFramebuffer(GL_FRAMEBUFFER, 0);
}

const glutils::FrameBuffer &SceneEditorView::framebuffer() const noexcept {
	return m_frameBuffer;
}

}
